DNF5-BUILDDEP(8)

BEZEICHNUNG
dnf5-builddep - Builddep-Befehl

ÜBERSICHT

dnf5 builddep [Optionen] [<Paket> …]

BESCHREIBUNG

installiert die zum Bau eines RPM-Pakets fehlenden Abhängigkeiten.

Warnung:
        Bauabhängigkeiten in einem Quellpaket (das heißt, einem .src.rpm) können von dem abweichen, was Sie erwarten würden, weil Abhängigkeiten anhand der auf dem Baurechner gesetzten Makros ermittelt werden.

Warnung:
        Da Informationen zu Bauabhängigkeiten nur in Quellpaketen verfügbar sind, ignoriert der Befehl dnf5 builddep die Einstellung enabled=0 in den Quell-Paketquellen, die der Benennungskonvention <#repo-names-label> entsprechen.

OPTIONEN

    -D Makro Ausdruck, --define=Makro Ausdruck
        definiert ein RPM-Makro. Das Makro wird beim Auswerten von Spec-Dateien auf den angegebenen Ausdruck gesetzt. Dies ist nicht auf Quell-RPMs anwendbar.

    --with=OPTION, --without=OPTION
        aktiviert oder deaktiviert beim Auswerten von Spec-Dateien die bedingte Bau-OPTION. Dies ist nicht auf Quell-RPMs anwendbar.

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --skip-unavailable
        erlaubt das Überspringen von Paketen, die sich nicht herunterstufen lassen. Alle übrigen Pakete werden heruntergestuft.

    --allow-downgrade
        aktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --no-allow-downgrade
        deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --from-repo=PAKETQUELLEN-ID, …
        sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

    --from-vendor=ANBIETER, …
        zeigt eine Liste der Anbieter an, getrennt durch Kommata oder Leerraum. Glob-Muster werden unterstützt (zum Beispiel --from-vendor='Fedora\ project, AnbieterA, AnbieterB*, AnbieterC')). Pakete (oder deren Provides), die explizit in der Befehlszeile angegeben werden, werden nur von den angegebenen Anbietern bezogen. Die Anbieteränderungsprüfung ist für diese Pakete auf bypassed gesetzt. Der Anbieter wird ignoriert, oder die Anbieteränderungsrichtlinien (falls allow_vendor_change=0) werden weiterhin für Pakete angewendet, die Abhängigkeiten erfüllen.

    --spec
        fasst Befehlszeilenargumente, die dieser Option folgen, als Spec-Dateien auf.

    --srpm
        fasst Befehlszeilenargumente, die dieser Option folgen, als Quell-RPMs auf.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

ARGUMENTE

    <Paket>
        Entweder der Pfad zur .src.rpm-, .nosrc.rpm- oder .spec-Datei oder zu einem in einer Paketquelle verfügbaren Paket.

BEISPIELE

    dnf builddep foobar.spec
        installiert die erforderlichen Bauabhängigkeiten, die in der Datei foobar.spec definiert sind.

    dnf builddep foobar-1.0-1.src.rpm
        installiert die erforderlichen Bauabhängigkeiten, die in der Datei foobar-1.0-1.src.rpm definiert sind.

    dnf builddep foobar-1.0-1
        schaut in den aktivierten Paketquellen nach foobar-1.0-1 und installiert die Bauabhängigkeiten für dessen .src.rpm.

    dnf builddep -D 'scl python27' python-foobar.spec
        installiert die erforderlichen Bauabhängigkeiten für die Python27-SCL-Version von python-foobar.

    dnf builddep --without=selinux foobar.spec
        installiert die erforderlichen Bauabhängigkeiten, außer die für optionale SELinux-Unterstützung.

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).